# Uses of Interface
org.eclipse.core.databinding.property.set.ISetProperty

Packages that use ISetProperty
Package
Description
org.eclipse.core.databinding.beans
Provides classes for observing JavaBeans(tm) objects.
org.eclipse.core.databinding.property
Interfaces and classes for representing and observing properties of objects.
org.eclipse.core.databinding.property.set
org.eclipse.core.databinding.property.value
org.eclipse.jface.databinding.viewers
Provides classes that can be used to observe the JFace Viewer framework.

## Uses of ISetProperty in org.eclipse.core.databinding.beans

Subinterfaces of ISetProperty in org.eclipse.core.databinding.beans
Modifier and Type
Interface
Description
`interface`
`IBeanSetProperty<S,E>`
An `ISetProperty` extension interface with convenience methods for creating nested bean properties.

## Uses of ISetProperty in org.eclipse.core.databinding.property

Methods in org.eclipse.core.databinding.property that return ISetProperty
Modifier and Type
Method
Description
`static <E> ISetProperty<Set<E>,E>`
Properties.`selfSet(Object elementType)`
Returns a set property which takes the source object (a `Set`) as the property set.

## Uses of ISetProperty in org.eclipse.core.databinding.property.set

Classes in org.eclipse.core.databinding.property.set that implement ISetProperty
Modifier and Type
Class
Description
`class`
`DelegatingSetProperty<S,E>`
`class`
`SetProperty<S,E>`
Abstract implementation of ISetProperty
`class`
`SimpleSetProperty<S,E>`
Simplified abstract implementation of ISetProperty.
`class`
`UnionSetProperty<S,E>`
A set property for observing the union of multiple set properties a combined set.
Methods in org.eclipse.core.databinding.property.set that return ISetProperty
Modifier and Type
Method
Description
`protected abstract ISetProperty<S,E>`
DelegatingSetProperty.`doGetDelegate(S source)`
Returns the property to delegate to for the specified source object.
`protected final ISetProperty<S,E>`
DelegatingSetProperty.`getDelegate(S source)`
Returns the property to delegate to for the specified source object.
Constructors in org.eclipse.core.databinding.property.set with parameters of type ISetProperty
Modifier
Constructor
Description
``
`UnionSetProperty(ISetProperty<S,E>[] properties)`
``
`UnionSetProperty(ISetProperty<S,E>[] properties, Object elementType)`

## Uses of ISetProperty in org.eclipse.core.databinding.property.value

Methods in org.eclipse.core.databinding.property.value that return ISetProperty
Modifier and Type
Method
Description
`<E> ISetProperty<S,E>`
IValueProperty.`set(ISetProperty<? super T, E> detailSet)`
Returns the nested combination of this property and the specified detail set property.
`final <E> ISetProperty<S,E>`
ValueProperty.`set(ISetProperty<? super T, E> detailSet)`
Methods in org.eclipse.core.databinding.property.value with parameters of type ISetProperty
Modifier and Type
Method
Description
`<E> ISetProperty<S,E>`
IValueProperty.`set(ISetProperty<? super T, E> detailSet)`
Returns the nested combination of this property and the specified detail set property.
`final <E> ISetProperty<S,E>`
ValueProperty.`set(ISetProperty<? super T, E> detailSet)`

## Uses of ISetProperty in org.eclipse.jface.databinding.viewers

Subinterfaces of ISetProperty in org.eclipse.jface.databinding.viewers
Modifier and Type
Interface
Description
`interface`
`IViewerSetProperty<S,E>`
`ISetProperty` for observing a JFace viewer
Classes in org.eclipse.jface.databinding.viewers that implement ISetProperty
Modifier and Type
Class
Description
`class`
`ViewerSetProperty<S,E>`
Abstract set property implementation for `Viewer` properties.
Methods in org.eclipse.jface.databinding.viewers with parameters of type ISetProperty
Modifier and Type
Method
Description
`static <E> void`
ViewerSupport.`bind(AbstractTreeViewer viewer, E input, ISetProperty<? super E, ? extends E> childrenProperty, IValueProperty<? super E, ?> labelProperty)`
Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label property to generate labels.
`static <E> void`
ViewerSupport.`bind(AbstractTreeViewer viewer, E input, ISetProperty<? super E, ? extends E> childrenProperty, IValueProperty<? super E, ?>... labelProperties)`
Binds the viewer to the specified input, using the specified children property to generate child nodes, and the specified label properties to generate labels.